/*
 * NotInvertibleException.hpp
 *
 *  Created on: Jun 25, 2010
 *      Author: crueger
 */

#ifndef NOTINVERTIBLEEXCEPTION_HPP_
#define NOTINVERTIBLEEXCEPTION_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Exceptions/MathException.hpp"

class NotInvertibleException : public MathException
{
public:
  NotInvertibleException(std::string _file, int _line);
  virtual ~NotInvertibleException() throw ();

  virtual const char* what() const throw();
};

#endif /* NOTINVERTIBLEEXCEPTION_HPP_ */
